CREATE TABLE ar_transmission_formats (
    TRANSMISSION_FORMAT_ID     NUMBER        ,
    MODULE_ID                  VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    FORMAT_NAME                VARCHAR2(100)     NOT NULL,
    STATUS_LOOKUP_CODE         VARCHAR2(4)       NOT NULL,
    DESCRIPTION                VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ZENGIN_CHAR_SET            VARCHAR2(320) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    TRANSFORMATION_TEMPLATE    VARCHAR2(1000),
    TRANSMISSION_FORMAT_ID     NUMBER        ,
    MODULE_ID                  VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    FORMAT_NAME                VARCHAR2(100)     NOT NULL,
    STATUS_LOOKUP_CODE         VARCHAR2(4)       NOT NULL,
    DESCRIPTION                VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ZENGIN_CHAR_SET            VARCHAR2(320) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    TRANSFORMATION_TEMPLATE    VARCHAR2(1000),
    CONSTRAINT pk_ar_transmission_formats PRIMARY KEY (TRANSMISSION_FORMAT_ID, TRANSMISSION_FORMAT_ID)
);
